"use strict";
let currentRequest;
module.exports = function (content) {
    let result = `
        exports = module.exports = [];
        exports.toString = function() {
            return this.reduce((pre, cur) => pre + cur);
        };
    `;
    let importRegExps = [/@import\s+url\(\s*(\'|\")?(.+?)\1\s*\)\s*;?/, /@import\s+(\'|\")(.+?)\1\s*;?/];
    for (let regExp of importRegExps) {
        content = content.replace(regExp, (value, match1, match2) => {
            if (match2.startsWith("http")) {
                return value;
            }
            result += `exports.push(...require("!!${currentRequest.join("!")}!${match2}"));`;
            return "";
        });
    }
    content = content
        .replace(/"/g, "'")
        .replace(/url\(\s*(\')?(.+?)\1\s*\)/, (value, match1, match2) => {
        if (match2.startsWith("http")) {
            return value;
        }
        return `url(" + require("${match2}") + ")`;
    })
        .replace(/\r?\n/g, "\\n");
    result += `exports.push("${content}");`;
    return result;
};
module.exports.pitch = function (remainRequest, _currentRequest) {
    currentRequest = _currentRequest;
};
